## kernel-module-ntfs 2.1.29-maemo1

=== Makefile ===
# Rules for making the NTFS driver.

obj-$(CONFIG_NTFS_FS) += ntfs.o

ntfs-objs := aops.o attrib.o collate.o compress.o debug.o dir.o file.o \
	     index.o inode.o mft.o mst.o namei.o runlist.o super.o sysctl.o \
	     unistr.o upcase.o bitmap.o lcnalloc.o logfile.o quota.o usnjrnl.o

EXTRA_CFLAGS = -DNTFS_VERSION=\"2.1.29\" -DNTFS_RW

kernel-ver := 2.6.28-omap1
PWD := $(shell pwd)
obj-m := ntfs.o
KDIR := /lib/modules/$(kernel-ver)/build



default: build

build:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	strip --strip-debug ntfs.ko

clean:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean

install: build

=== debian/changelog ===
kernel-module-ntfs (2.1.29-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Nathan Anderson <nathan@andersonsplace.net>  Wed, 12 Jan 2010 15:00:00 -0500

=== debian/control ===
Source: kernel-module-ntfs
Section: user/system
Priority: extra
Maintainer: Nathan <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-module-ntfs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Windows Read/Write NTFS file driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# This gives us the Kernel Version we defined in the sub-make file
KERNEL_VERSION ?= $(shell grep "kernel-ver :=" Makefile | sed -n -e "s/kernel-ver := //p")


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package
	$(MAKE) install
	# Install NTFS Module
	mkdir debian/kernel-module-ntfs/lib
	mkdir debian/kernel-module-ntfs/lib/modules
	mkdir debian/kernel-module-ntfs/lib/modules/$(KERNEL_VERSION)/
	cp -f ./ntfs.ko debian/kernel-module-ntfs/lib/modules/$(KERNEL_VERSION)/
	
	# Install Event Startup File
	mkdir debian/kernel-module-ntfs/etc
	mkdir debian/kernel-module-ntfs/etc/event.d
	cp -f ./event.d/ntfs debian/kernel-module-ntfs/etc/event.d/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
